	$(document).ready(function(e) {

		//seta pasta onde esta o projeto

		pasta_corrente = 'produto';

		

		//renderiza os icons

		$( ".ui-icon" ).button({});

			

		// carrega os itens ao abrir o principal

		CarregarIten('0');		

		

		//botão QTO, TAMANHO

			 $(document).on('click', '#btnQuant', function(){
			   //$('#edtDescricao').val($('#edtDescricao').val() + '{QTO}');
				insertAtCaret('edtDescricao','{QTO}');
			   //$('#edtDescricao').focus();

			  })

		

			$(document).on('click', '#btnTamanho',function(){
				insertAtCaret('edtDescricao','{TAMANHO}');
			   //$('#edtDescricao').val($('#edtDescricao').val() + '{TAMANHO}');

			  // $('#edtDescricao').focus();

			})



	

		//Adicionar ou Editar Check List//////////////////////////////////////////////////////////////////////////

		var btn_id_itens;

		var tipo_check;

		var id_iten_check_list;

		$("#pnCheckListADD").dialog({

			autoOpen: false,

			modal: true,

			height : 200,

			width  : 500,

			buttons: {'Salvar':   function(){

												var descricao = $('#edtCheckList').val();

												if(descricao == ''){

												 show('Informe a Descrição do Check List');

												 return false;

												}

												if(tipo_check == 'Novo'){

													CheckInsert(btn_id_itens, descricao);
												}

												if(tipo_check == 'Edit'){

													CheckUpdate(id_iten_check_list, descricao, btn_id_itens);	

												}
												$(this).dialog('close');

											},

					  'Cancelar': function(){$(this).dialog('close');}

					  }	

		 })



		$(document).on('click','#btnNotoCheck',function(){

		   $('#edtCheckList').val('');

		   btn_id_itens = $('#id_iten').val();

		   tipo_check = 'Novo';

		   $('#pnCheckListADD').dialog('open');

	 	 return false;

		})

		

		$('#btnCheckEdit').on('click',function(){

		   id_iten_check_list = $(this).attr('id_iten_check_list');

		    btn_id_itens = $('#id_iten').val();

		   $('#edtCheckList').val($(this).attr('desc'));

		   tipo_check = 'Edit';

		   $('#pnCheckListADD').dialog('open');

		   return false;

		})

		

		

		$('#btnCheckDel').on('click',function(){

		id_iten_check_list = $(this).attr('id_iten_check_list');

		btn_id_itens = $('#id_iten').val();

		var nome_pn = $(this).attr('nome_pn');	

		if(confirm('Gostaria de Remover este iten do Check List?')){

			CheckDel(id_iten_check_list, btn_id_itens, nome_pn)

		}

		

		return false;

		})



		//fim Check /////////////////////////////////////////////////////////////////////////////////////////////////////

		

		

		// Localizar Itens

		$( "#pnLocalizarIten").dialog({

			autoOpen: false,

			modal: true,

			resizable: false,

			height : 450, // altura

			width  : 750 // largura

		});

		

		// Retorna dados o localiado

		$(document).on('click','.btnLocalizado',function(){

			var id = $(this).attr('id_iten');

			CarregarIten(id);

			$('#pnLocalizarIten').dialog('close');		

			

		return false;

		}) 

		

		var rbChecked = -1;

		$(document).on('click','.rbChecked',function(){

			rbChecked = $(this).val();

		})

		

		

		

		//Localizar Itens

		$('#btnLocalizar').on('click',function(){

			$('#edtLocalizarItens').focus();

			$('#edtLocalizarItens').val('');

			$('#pnLocalizarIten').dialog('open');

		return false;

		})

		

		//Botão Localizar Itens

		$('#btnLocalizarItens').on('click', function(){

			LocalizarItens($('#edtLocalizarItens').val());	

		})

		

		// Cadastrar Novo Itens

		$( "#pnConfigurar").dialog({

			autoOpen: false,

			modal: true,

			resizable: false,

			height : 550, // altura

			width  : 750, // largura

			buttons: {'Salvar':   function(){

											var opcao = $("#btnOpcaoSalvar").val();

											var furmulario = $('#formConfigurar').serialize();	

											

											if(opcao == 'novo'){

											 if(!SalvarIten(opcao,'0',furmulario,rbChecked))

											  return false;

											

											}



											

											if(opcao == 'configurar'){

											var id_iten = $('#id').val();

											 if(!SalvarIten(opcao,id_iten,furmulario,rbChecked))

											 	return false;

											}

																						

											$( this ).dialog( "close" );

									},

					  'Deletar' : function(){

												if($("#btnOpcaoSalvar").val() == 'novo'){

													show('Função Desabilitada');

													return false;

												}

												

												var confirma;

												confirma = confirm('Gostaria de Excluir este usuário?');

												if(confirma){

													var id_iten = $('#id_iten').val();

													DeleteIten(id_iten);

													$( this ).dialog( "close" );

												}

												

											}, 

					  'Cancelar': function(){$( this ).dialog( "close" );}

					  }

		});

		

		//Cadastrar Novo Iten

		$('#btnNovoIten').on('click',function(){

			ItenNovo('Novo','','-1');

			$('#spTituloConfigurar').html('Cadastar Novo Iten');

			$('#pnConfigurar').dialog('open');

		return false;

		})

		

		

		//Configurar Iten

		$('#btnConfigurarIten').on('click',function(){

			var id_iten = $('#id_iten').val();

			var producao = $('#edtProducao').val();

			ItenNovo('configurar',id_iten, producao);

			$('#spTituloConfigurar').html('Configurar Itens. Alterar e Excluir');

			$('#pnConfigurar').dialog('open');

		return false;

		})

		

		

/////key press//////////

	

	// Entern em Localizar Itens

	 $("#edtLocalizarItens").keypress(function(event) {

		  if ( event.which == 13 ) {

			 event.preventDefault();

			 LocalizarItens($('#edtLocalizarItens').val());

	 		}

	});

		

	$("#edtLocalizarItens").on('click',function() {

		  $("#edtLocalizarItens").keypress();

	});

	/// fim localizar itens

/////fim key press/////////////////



		

});





//////////function///////////////







function CarregarIten(id_iten){

			 $.ajax({

			 type: "POST",

			 url: pasta_corrente+"/dados.php",

			 data:'id='+id_iten,  

			 beforeSend: function(){$("#pnDados").html(Load()).fadeIn('slow');},

			 success: function(R){ $("#pnDados").html(R).fadeIn('fast')} 

			}) //fim ajax

			return false;	

}

/////////////////////////////////////////////////////função Check/////////////////////////////////////////

function CarregarDadosCheckList(id_iten){

			 //var id_iten = $('#id_iten').val(); 

			 $.ajax({

			 type: "POST",

			 url: pasta_corrente+"/dados_check_list.php",

			 data:'id='+id_iten,  

			 beforeSend: function(){$("#pnDadosCheckList").html(Load()).fadeIn('slow');},

			 success: function(R){ $("#pnDadosCheckList").html(R).fadeIn('fast')},

			 error: function(R){ $("#pnDadosCheckList").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

								  $("#pnDadosCheckList").addClass('ui-state-error ui-corner-all');

								  } 

			}) //fim ajax

}



function CheckInsert(id_iten, descricao){

				$.ajax({

				 type: "POST",

				 url: pasta_corrente+"/ax_iten.php",

				 data: 'ax=checkInsert&id_iten='+ id_iten + '&descricao='+descricao, 

				 beforeSend: function(){$("#pnDadosCheckList").html('<img src="img/salvando.gif"/>').fadeIn('slow');},

				 success: function(R){CarregarDadosCheckList(id_iten)},

				 error: function(R){ $("#pnDadosCheckList").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

								  $("#pnDadosCheckList").addClass('ui-state-error ui-corner-all');

								  } 

				}) //fim ajax

}



function CheckUpdate(id_iten_check_list, descricao, id_iten){

				$.ajax({

				 type: "POST",

				 url: pasta_corrente+"/ax_iten.php",

				 data: 'ax=checkUpdate&id_iten_check_list='+ id_iten_check_list + '&descricao='+descricao, 

				 beforeSend: function(){$("#pnDadosCheckList").html('<img src="img/salvando.gif"/>').fadeIn('slow');},

				 success: function(R){CarregarDadosCheckList(id_iten)},

				 error: function(R){ $("#pnDadosCheckList").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

								  $("#pnDadosCheckList").addClass('ui-state-error ui-corner-all');

								  } 

				}) //fim ajax

	

}





function CheckDel(id_iten_check_list, id_iten, nome_pn){

				 $.ajax({

				 type: "POST",

				 url: pasta_corrente+"/ax_iten.php",

				 data: 'ax=checkDel&id_iten_check_list='+ id_iten_check_list, 

				 beforeSend: function(){$('#'+nome_pn).html('<img src="img/salvando.gif"/>').fadeIn('slow');},

				 success: function(R){$('#'+nome_pn).hide('slow');},

				 error: function(R){ $("#pnDadosCheckList").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');

								  $("#pnDadosCheckList").addClass('ui-state-error ui-corner-all');

								  } 

				}) //fim ajax

}





//fim /////////////////////////////////////////////////////função Check/////////////////////////////////////////



function VerificarDupliciade(valor, local, valor_atual, campo){

			//verifica se o valor atual é igual o valor digitado para não fazer verificação em calso de alteração.

			if(valor != valor_atual){

				$.ajax({

				 type: "POST",

				 url: pasta_corrente+"/ax_iten.php",

				 data: 'ax=VerificarDuplicidada&valor='+ valor + '&campo='+campo, 

				 beforeSend: function(){$("#"+local).html('<img src="img/salvando.gif"/>').fadeIn('slow');},

				 success: function(R){ $("#"+local).html(R).fadeIn('slow');} 

				}) //fim ajax

			}

}





function LocalizarItens(LocalizarItens){

			 $.ajax({

			 type: "POST",

			 url: pasta_corrente+"/localizar_itens.php",

			 data: 'ax=localizar&localizarItens='+LocalizarItens, 

			 beforeSend: function(){$("#pnDadosLocalizador").html(Load()).fadeIn('slow');},

			 success: function(R){ $("#pnDadosLocalizador").html(R).fadeIn('fast')} 

			}) //fim ajax

			return false;

}





function ItenNovo(ax, id_iten, producao){

			$.ajax({

			 type: "POST",

			 url: pasta_corrente+"/configurar.php",

			 data: 'ax='+ax+'&id='+id_iten+'&producao='+producao, 

			 beforeSend: function(){$("#pnConfigurar").html(Load()).fadeIn('slow');},

			 success: function(R){ $("#pnConfigurar").html(R).fadeIn('fast')} 

			}) //fim ajax

			return false;

}



function SalvarIten(ax, id_iten, formulario, Checked){

			 if ($('#edtDescricao').val() == ''){

				 show('Informe um Produto');

				 return false;

				 }

			

			if(Checked == -1){

			 show('Selecione uma das opção');

			 return false;	

			}

			

				 

			 if($('.edtDuplicidade').val() == 'sDupli'){

				show('Campo com Duplidade Verifique');

				return false; 

			 }

			 

			 $.ajax({

			 type: "POST",

			 url: pasta_corrente+"/ax_iten.php",

			 data: 'ax='+ax+'&id='+id_iten+'&'+formulario+'&producao='+Checked, 

			 beforeSend: function(){$("#pnDados").html(Load()).fadeIn('slow');},

			 success: function(R){ CarregarIten(R);} 

			}) //fim ajax

			return true;



}



function DeleteIten(id_iten){

			 $.ajax({

			 type: "POST",

			 url: pasta_corrente+"/ax_iten.php",

			 data: 'ax=Delete&id='+id_iten, 

			 beforeSend: function(){$("#pnDados").html(Load()).fadeIn('slow');},

			 success: function(R){ CarregarIten('0');} 

			}) //fim ajax

	

}



////////////////////////////////